Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface ISubqueryDefinition

All Superinterfaces:
  IBaseQueryDefinition, IBaseTransform, IDataQueryDefinition, INamedObject

All Known Implementing Classes:
  SubqueryDefinition, SubqueryLocator

    public interface ISubqueryDefinition

extends IBaseQueryDefinition

Provides definition of subquery: a supplemental use of rows returned by a data set or a group. A subquery does not have its own data set, but rather it provides an alternate view of data of an existing group or query by applying additional transforms on top of such data.

Method Summary
`boolean` | `applyOnGroup()` Subquery can apply to the group in which the sub query is added, or to the each row of current query definition.
`java.lang.String` | `getName()` Gets the name of the subquery.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseQueryDefinition
`addBinding, cacheQueryResults, getBindings, getDistinctValue, getGroups, getMaxRows, getParentQuery, getQueryExecutionHints, getResultSetExpressions, getStartingRow, setMaxRows, usesDetails`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseTransform
`getFilters, getSorts, getSubqueries`

Methods inherited from interface org.eclipse.birt.data.engine.api.INamedObject
`setName`

Method Detail

### getName

    java.lang.String getName()

  Gets the name of the subquery. Each Subquery must have a name that uniquely identifies it within the main query that contains it.

  Specified by:
    `getName` in interface `INamedObject`
  Returns:
    Name of the subquery

### applyOnGroup

    boolean applyOnGroup()

  Subquery can apply to the group in which the sub query is added, or to the each row of current query definition. If it is the previous case, all rows of current group will be the data source of sub query, but in latter case, only the current row of parent query will be the data source. A note is the false value will be valid when it is added into the query definition, and it will have no any effect if it is on group.

  Returns:
    true, sub query is applied on group, false, applied on current row of parent query

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.